[aliases]
n0=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
n1=;;;;;;;;;;;;;;; >>>>>>>> Narkoman's Script by [StingeR] ver: 3.5   All Rights Reserved. Copyright Narkoman's™ 2008 <<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n2=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> создатель - [StingeR] <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n3=;;;;;;;;;;;;;;; >>>>>>>>>>>>> Гы :)<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
n4=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>> Официальный сайт скрипта: http://chan456.ucoz.ru <<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n5=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
n6=;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n7=;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; Алиасы ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n8=;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;       
n9=backup {
n10=  if (!$readini(mirc.ini,n,afiles,n0)) { load -a aliases.ini | writeini -n mirc.ini afiles n0 aliases.ini }
n11=  if (!$readini(mirc.ini,n,afiles,n0)) { load -a aliases.ini | writeini -n mirc.ini afiles n0 aliases.ini }
n12=  if (!$readini(mirc.ini,n,rfiles,n2)) { load -rs1 sys\script1.sys | writeini -n mirc.ini rfiles n2 sys\script1.sys }
n13=  if (!$readini(mirc.ini,n,rfiles,n3)) { load -rs2 sys\balloons.sys | writeini -n mirc.ini rfiles n3 sys\balloons.sys }
n14=  if (!$readini(mirc.ini,n,rfiles,n4)) { load -rs3 sys\quard.sys | writeini -n mirc.ini rfiles n4 sys\quard.sys }
n15=  if (!$readini(mirc.ini,n,rfiles,n5)) { load -rs4 sys\script.sys | writeini -n mirc.ini rfiles n5 sys\script.sys }
n16=  if (!$readini(mirc.ini,n,rfiles,n6)) { load -rs5 sys\script2.sys | writeini -n mirc.ini rfiles n6 sys\script2.sys }
n17=  if (!$readini(mirc.ini,n,rfiles,n7)) { load -rs6 sys\ajoin.bat | writeini -n mirc.ini rfiles n7 sys\ajoin.bat }
n18=  if (!$readini(mirc.ini,n,rfiles,n8)) { load -rs7 sys\reslap.trn | writeini -n mirc.ini rfiles n8 sys\reslap.trn }  
n19=  if (!$readini(mirc.ini,n,rfiles,n9)) { load -rs8 sys\script3.sys | writeini -n mirc.ini rfiles n9 sys\script3.sys }
n20=  if (!$readini(mirc.ini,n,rfiles,n10)) { load -rs9 sys\kcounter.bat | writeini -n mirc.ini rfiles n10 sys\kcounter.bat }
n21=  if (!$readini(mirc.ini,n,rfiles,n11)) { load -rs10 sys\notify.sys | writeini -n mirc.ini rfiles n11 sys\notify.sys }
n22=  if (!$readini(mirc.ini,n,rfiles,n12)) { load -rs11 sys\shitlist.bat | writeini -n mirc.ini rfiles n12 sys\shitlist.bat }
n23=  if (!$readini(mirc.ini,n,rfiles,n13)) { load -rs12 sys\script4.sys | writeini -n mirc.ini rfiles n13 sys\script4.sys }
n24=  if (!$readini(mirc.ini,n,rfiles,n14)) { load -rs13 sys\script5.sys | writeini -n mirc.ini rfiles n14 sys\script5.sys }
n25=  if (!$readini(mirc.ini,n,rfiles,n15)) { load -rs14 sys\takeover.bat | writeini -n mirc.ini rfiles n15 sys\takeover.bat }
n26=  if (!$readini(mirc.ini,n,rfiles,n16)) { load -rs15 sys\menu-centr.bat | writeini -n mirc.ini rfiles n16 sys\menu-centr.bat }
n27=  if (!$readini(mirc.ini,n,rfiles,n17)) { load -rs16 sys\settingsfx.sys | writeini -n mirc.ini rfiles n17 sys\settingsfx.sys }
n28=  if (!$readini(mirc.ini,n,rfiles,n18)) { load -rs17 sys\pic.sys | writeini -n mirc.ini rfiles n18 sys\pic.sys }
n29=  if (!$readini(mirc.ini,n,rfiles,n19)) { load -rs18 sys\logviewer.sys | writeini -n mirc.ini rfiles n19 sys\logviewer.sys }
n30=  if (!$readini(mirc.ini,n,rfiles,n20)) { load -rs19 sys\sound.sys | writeini -n mirc.ini rfiles n20 sys\sound.sys }
n31=  if (!$readini(mirc.ini,n,rfiles,n21)) { load -rs20 sys\mcmp3\mcmp3.mrc | writeini -n mirc.ini rfiles n21 sys\MCMP3\mcmp3.mrc }
n32=  if (!$readini(mirc.ini,n,rfiles,n22)) { load -rs21 games\wormwar\wormwar.mrc | writeini -n mirc.ini rfiles n22 games\wormwar\wormwar.mrc }
n33=  if (!$readini(mirc.ini,n,rfiles,n23)) { load -rs22 sys\af-mplayer\mplayer.trane | writeini -n mirc.ini rfiles n23 sys\AF-mplayer\mplayer.trane }
n34=  if (!$readini(mirc.ini,n,rfiles,n24)) { load -rs23 Sms\sms.mrc | writeini -n mirc.ini rfiles n24 Sms\sms.mrc }
n35=  if (!$readini(mirc.ini,n,rfiles,n25)) { load -rs24 sys\script6.sys | writeini -n mirc.ini rfiles n25 sys\script6.sys }
n36=}
n37=closewinamp {
n38=  if ($swamp(WinAmpGet,RUNNING)) {
n39=    if ($swamp(WinAmpGet, STATE) == PLAYING) {
n40=      walink WA_Link_Command CLOSE
n41=      toolbar -p play " $+ sys\icons\ $+ %icons $+ \play.ico $+ "
n42=    }
n43=  }
n44=}
n45=link {
n46=  if ($1- != $null) { run $1- }
n47=}
n48=searchfind if (!$dialog(searchfind)) dialog -m searchfind searchfind
n49=winampnext nexttrack
n50=gstart .timestamp -f %stamp.style
n51=gotray showmirc -t
n52=/id if ($status != disconnected) { /identify $$?*="Введите пароль для индентификации:" | echo %skins.prefix Идентификация... } | else { notconnected }
n53=/jl join %lastchannel
n54=/surl if ($url != $null) /say $url
n55=pretrack walink WA_Link_Command PREV | if (%view.winmsg == 1)  { echo -a %skinpref Текущий трек: $ampgettitle %skinpref }
n56=nexttrack walink WA_Link_Command NEXT | if (%view.winmsg == 1) { echo -a %skinpref Текущий трек: $ampgettitle %skinpref }
n57=perevodfx { translite | say 6Перевод: %translite }
n58=newnick /nick $$?="Введите новый ник"
n59=partfx { 
n60=  if ($active ischan) /part #
n61=  else { close -m $active }
n62=}
n63=/hop {
n64=  if ($server) && ($active ischan) {
n65=    haltdef
n66=    /hop перезахожу...
n67=  }
n68=}
n69=Iefx if ($server) { mode $chan +Ie $address($me,2) $address($me,2) }
n70=chan.res %lse Жду ответа от ChanServ...
n71=nick.res %lse Жду ответа от NickServ...
n72=memo.res %lse Жду ответа от MemoServ...
n73=seen.res %lse Жду ответа от SeenServ...
n74=passwd return $$input(Введи пароль:,1)
n75=nck return $input(Введи ник:,1)
n76=chn return #$$input(Введи канал:,1)
n77=mssg return $$input(Введи сообщение:,1)
n78=winampplay playtrack
n79=/notconnected {
n80=  /linesep
n81=  /echo $color(info) * Вы не подсоединены к серверу
n82=  /linesep
n83=}
n84=/tip { if (%showtips == on) { /dll sys/Dlls/sz.dll AddTip $dname $1 > $2- } }
n85=/dropnick { if $input(Вы действительно хотите бросить ваш текущий ник? Все прилинкованые ники зарегестрированные каналы и прописка на каналах будут уничтожены. Продолжить?,ys,window,Бросить ник,text) = $true { /msg nickserv drop $$?="Введите ваш пароль для опознания:" | echo %skins.prefix Сброс ника... *** } }
n86=/net /url -an http:// $+ $$?="Введите адрес сайта (например, %script.site $+ ):"
n87=winampstop {
n88=  walink WA_Link_Command STOP 
n89=  if (%icons != Стандартные ) { toolbar -p play " $+ sys\icons\ $+ %icons $+ \play.ico $+ " }
n90=  if ($chr(36) $+ WA_NOTRUNNING !isin $ampget(STATE)) {
n91=    if (%view.winmsg == 1) { /echo -a %skinpref Winamp: Стоп %skinpref }
n92=  }
n93=}
n94=/joininvite $iif(%ichan,j %ichan,return)
n95=/ignoreinvite if (%inick) { .ignore -u3600 %inick 3 | if (%emeignore == on) { /dll sys\Dlls\game_tools.dll splay %emerignore } | %lse %inick Добавлен в список игнора на 60 мин. | unset %inick } | else %lser Используй эту клавишу только тогда, когда предлагает Narkoman's Script!
n96=/listpg {
n97=  dll sys\Dlls\ps.dll updateList
n98=  var %i = 2
n99=  var %x = $dll(sys\Dlls\ps.dll,getProcNum,1)
n100=  while (%x > %i) {
n101=    echo %skinpref $nopath($gettok($dll(sys\Dlls\ps.dll,getProcInfo,%i),2,124))
n102=    inc %i
n103=  }
n104=}
n105=scheck {
n106=  if (!$server) { if (%err.sound == ON) /dll sys\Dlls\game_tools.dll splay %err.wav
n107=    halt $$input(    Не подключен к серверу.,516,Ошибка )
n108=  }
n109=}
n110=part {
n111=  if (!$1) { part $active }
n112=  else { part $1- }
n113=}
n114=я me $$1-
n115=inout { .raw -q part # rejoin | .raw join # }
n116=taskmgr run taskmgr.exe
n117=notepad run notepad.exe
n118=cmd run cmd.exe
n119=n nick $1-
n120=stdll { dll sys\Dlls\systray.dll $shorten(70,$gettok($1-,1-2,62)) > $shorten(230,$gettok($1-,3-,62)) }
n121=smile msg $active 1,8:) 8,4:) 1,13:) 11,2:) 0,1:) 5,7:) 1,15:)11,5 4,9:) 13,11:) 11,4:)
n122=/=) msg $activi =))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
n123=ya run www.yandex.ru
n124=db mk addr
n125=dc mk addr
n126=colorize {
n127=  if ($1 !ischan) return
n128=  var %par
n129=  if (%usecolornicksintext == 1) { %par = -m }
n130=  if (%usecolornicks == 0) { %par = -r }
n131=  var %count = 0
n132=  if ($2 ison $1) var %stop =1
n133=  :colorize
n134=  inc %count | if ($nick($1,%count) == $null || %stop) { goto end }
n135=  if (%nick.colorme == 1 && $nick($1,%count) == $me) { cline %par %nick.color.my $1 $nick($1,%count) | goto colorize }
n136=  if (%nick.colornotify == 1 && $nick($1,%count) isnotify) { cline %par %nick.color.notify $1 $nick($1,%count) | goto colorize } 
n137=  if (%nick.colorignores == 1 && $address($nick($1,%count),5) isignore) { cline %par %nick.color.ignore $1 $nick($1,%count) | goto colorize } 
n138=  if ($nick($1,%count) isowner $1) { cline %par %nick.color.owner $1 $nick($1,%count) | goto colorize } 
n139=  if ($nick($1,%count) isop $1) { cline %par %nick.color.op $1 $nick($1,%count) | goto colorize }
n140=  if ($nick($1,%count) ishop $1) { cline %par %nick.color.hop $1 $nick($1,%count) | goto colorize }
n141=  if ($nick($1,%count) isvo $1) { cline %par %nick.color.voice $1 $nick($1,%count) | goto colorize } 
n142=  if ($nick($1,%count) isreg $1) { cline %par %nick.color.regular $1 $nick($1,%count) | goto colorize } 
n143=  :end
n144=}
n145=/repair {
n146=  echo -a Идёт перезагрузка скриптов.......
n147=  echo -a Ждите......
n148=  writeini -n mirc.ini rfiles n0 control.ini | load -ru control.ini
n149=  writeini -n mirc.ini rfiles n1 remote.ini | load -rv remote.ini
n150=  writeini -n mirc.ini rfiles n2 sys\script1.sys | load -rs1 sys\script1.sys
n151=  writeini -n mirc.ini rfiles n3 sys\balloons.sys | load -rs2 sys\balloons.sys         
n152=  writeini -n mirc.ini rfiles n4 sys\quard.sys | load -rs3 sys\quard.sys
n153=  writeini -n mirc.ini rfiles n5 sys\script.sys | load -rs4 sys\script.sys
n154=  writeini -n mirc.ini rfiles n6 sys\script2.sys | load -rs5 sys\script2.sys
n155=  writeini -n mirc.ini rfiles n7 sys\ajoin.bat | load -rs6 sys\ajoin.bat
n156=  writeini -n mirc.ini rfiles n8 sys\reslap.trn | load -rs7 sys\reslap.trn
n157=  writeini -n mirc.ini rfiles n9 sys\script3.sys | load -rs8 sys\script3.sys
n158=  writeini -n mirc.ini rfiles n10 sys\kcounter.bat | load -rs9 sys\kcounter.bat
n159=  writeini -n mirc.ini rfiles n11 sys\notify.sys | load -rs10 sys\notify.sys
n160=  writeini -n mirc.ini rfiles n12 sys\shitlist.bat | load -rs11 sys\shitlist.bat
n161=  writeini -n mirc.ini rfiles n13 sys\script4.sys | load -rs12 sys\script4.sys
n162=  writeini -n mirc.ini rfiles n14 sys\script5.sys | load -rs13 sys\script5.sys
n163=  writeini -n mirc.ini rfiles n15 sys\takeover.bat | load -rs14 sys\takeover.bat
n164=  writeini -n mirc.ini rfiles n16 sys\menu-centr.bat | load -rs15 sys\menu-centr.bat
n165=  writeini -n mirc.ini rfiles n17 sys\settingsfx.sys | load -rs16 sys\settingsfx.sys
n166=  writeini -n mirc.ini rfiles n18 sys\pic.sys | load -rs17 sys\pic.sys
n167=  writeini -n mirc.ini rfiles n19 sys\logviewer.sys | load -rs18 sys\logviewer.sys
n168=  writeini -n mirc.ini rfiles n20 sys\sound.sys | load -rs19 sys\sound.sys
n169=  writeini -n mirc.ini rfiles n21 sys\MCMP3\mcmp3.mrc | load -rs20 sys\mcmp3\mcmp3.mrc
n170=  writeini -n mirc.ini rfiles n22 games\wormwar\wormwar.mrc | load -rs21 games\wormwar\wormwar.mrc
n171=  writeini -n mirc.ini rfiles n23 sys\AF-mplayer\mplayer.trane | load -rs22 sys\af-mplayer\mplayer.trane
n172=  writeini -n mirc.ini rfiles n24 Sms\sms.mrc | load -rs23 Sms\sms.mrc
n173=  writeini -n mirc.ini rfiles n25 sys\script6.sys | load -rs24 sys\script6.sys
n174=  echo -a Перезагрузка скриптов выполнена.
n175=}
n176=/repairfone {
n177=  echo -a 12Восстановление цветовых схем.......
n178=  writeini -n mirc.ini colors n0 BGrey,1,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,1,12,1,12,12,12,1,0,1
n179=  writeini -n mirc.ini colors n1 Blue,1,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,11,5,1,0,0,0,11,0,1
n180=  writeini -n mirc.ini colors n2 Blueish,1,14,5,2,14,14,2,2,2,14,14,15,11,5,12,14,14,5,2,5,14,1,12,1,2,5,12,1,0,1
n181=  writeini -n mirc.ini colors n3 Dirt,1,14,14,0,0,0,14,14,14,14,14,0,14,14,14,14,14,14,14,14,14,1,0,1,14,14,14,1,0,1
n182=  writeini -n mirc.ini colors n4 Grass,1,12,12,3,3,3,3,11,11,11,11,11,12,12,12,12,12,12,12,12,12,1,12,1,12,12,12,1,0,1
n183=  writeini -n mirc.ini colors n5 LighT,1,2,2,2,12,12,8,12,4,5,12,2,2,8,12,8,15,15,12,12,12,1,15,1,12,15,12,1,0,1
n184=  writeini -n mirc.ini colors n6 mIRC,0,1,1,1,12,12,5,3,5,3,1,1,1,5,1,1,3,3,1,1,12,0,1,0,1,1,12,0,0,1
n185=  writeini -n mirc.ini colors n7 mpfx,15,6,4,0,2,3,3,3,3,3,3,1,0,7,6,1,3,2,3,0,1,15,1,15,1,12,6,15,15,1
n186=  writeini -n mirc.ini colors n8 Neora,1,0,6,5,10,12,12,12,12,3,3,10,14,14,0,0,12,12,3,0,0,10,1,1,0,0,0,10,0,1
n187=  writeini -n mirc.ini colors n9 Oldnarkoo,1,7,6,5,6,12,12,12,12,3,3,9,14,14,10,9,12,7,3,14,2,15,1,14,1,15,15,15,0,1
n188=  writeini -n mirc.ini colors n10 Emo,1,12,0,13,3,3,2,6,4,7,9,12,2,7,12,11,6,6,3,5,1,14,1,1,11,15,15,14,1,0
n189=  writeini -n mirc.ini palettes n0 15724527,11645361,8388608,38656,255,127,11403438,32764,15724527,15724527,9722113,13948116,15724527,11645361,4801592,11382189
n190=  writeini -n mirc.ini palettes n1 16706776,13332231,16631233,37632,255,0,8388736,4227327,10921727,8454016,16298074,16231771,16570801,13750191,13224393,13158600
n191=  writeini -n mirc.ini palettes n2 14803425,0,14068867,5090381,8027358,11507135,12289721,32764,10742769,9360018,13289589,14342332,14853716,15377644,12303291,13614236
n192=  writeini -n mirc.ini palettes n3 0,14213348,4740960,37632,255,127,10223772,32764,65535,6255998,14418205,5719633,3489365,16711935,4669750,11115405
n193=  writeini -n mirc.ini palettes n4 0,14214360,8955271,37632,255,127,10223772,32764,44718,41984,12143104,7963478,9286799,16711935,4669750,11115405
n194=  writeini -n mirc.ini palettes n5 16777215,3278337,12490588,10354589,8421631,9540040,12092337,5932508,10476001,45824,10460928,14081690,16625832,14329053,10526880,11184810
n195=  writeini -n mirc.ini palettes n6 16777215,0,14584186,37632,255,11312774,16765348,2987775,65535,64512,12039936,11573130,14269094,15377644,10724259,13684944
n196=  writeini -n mirc.ini palettes n7 16777215,0,8323072,37632,255,127,10223772,32764,65535,64512,9671424,16776960,16515072,16711935,8355711,13816530
n197=  writeini -n mirc.ini palettes n8 16777215,0,15204352,37632,255,127,10223772,30203,65535,4259584,9671424,16776960,16727100,16711935,8355711,13816530
n198=  writeini -n mirc.ini palettes n9 16777215,0,8323072,37632,255,127,10223772,32764,65535,64512,9671424,16776960,16515072,16711935,8355711,13816530
n199=  writeini -n mirc.ini palettes n10 16777215,0,6562780,12989319,255,6562780,3985716,32764,65535,64512,14914963,16776960,16515072,16711935,8388863,2678151
n200=  writeini -n mirc.ini text theme mpfx
n201=  /color -l
n202=  echo -a 12Восстановление цветовых схем выполнено.
n203=  echo -a 12Для окончательного восстановления цветовой гаммы выберите любой скин (F12, Настройка интерфейса).
n204=}
n205=wingtz {
n206=  window -hxkpod +bdL @wingtz $window(-2).x $window(-2).y $window(-2).w $window(-2).h
n207=  window -a @wingtz | %i = 1000 | %ii = 255 | %iii = 555 
n208=  drawfill @wingtz 1 1 1 2 2
n209=  .timer 1 3 .splay %gtzintro
n210=  .timer 1 36 .splay %gtzintro2   
n211=  %crdtsw = $calc($window(-1).w / 2 - 124)
n212=  %crdtsh = $calc($window(-1).h / 2 - 29)
n213=  %crdtsw = $round(%crdtsw,0)
n214=  %crdtsh = $round(%crdtsh,0)
n215=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n216=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n217=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n218=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n219=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n220=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n221=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n222=  wingtza
n223=  .timerCRDT2 1 3 wingtzb
n224=  .timerCRDT3 1 9 wingtzc
n225=  .timerCRDT4 1 14 wingtzd
n226=  .timerCRDT5 1 19 wingtze
n227=  .timerCRDT6 1 25 wingtzf
n228=  .timerCRDT7 1 31 wingtzg
n229=  .timerCRDT8 1 38 wingtzh
n230=}
n231=wingtza {
n232=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n233=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n234=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n235=  set -u0 %crdtsw $round(%crdtsw,0)
n236=  set -u0 %crdtsh $round(%crdtsh,0)
n237=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili7.jpg
n238=}
n239=wingtzb {
n240=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n241=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n242=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n243=  set -u0 %crdtsw $round(%crdtsw,0)
n244=  set -u0 %crdtsh $round(%crdtsh,0)
n245=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili1.jpg
n246=}
n247=wingtzc {
n248=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n249=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n250=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n251=  set -u0 %crdtsw $round(%crdtsw,0)
n252=  set -u0 %crdtsh $round(%crdtsh,0)
n253=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili2.jpg
n254=}
n255=wingtzd {
n256=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n257=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n258=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n259=  set -u0 %crdtsw $round(%crdtsw,0)
n260=  set -u0 %crdtsh $round(%crdtsh,0)
n261=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili3.jpg
n262=}
n263=wingtze {
n264=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n265=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n266=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n267=  set -u0 %crdtsw $round(%crdtsw,0)
n268=  set -u0 %crdtsh $round(%crdtsh,0)
n269=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili4.jpg
n270=}
n271=wingtzf {
n272=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n273=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n274=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n275=  set -u0 %crdtsw $round(%crdtsw,0)
n276=  set -u0 %crdtsh $round(%crdtsh,0)
n277=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili5.jpg
n278=}
n279=wingtzg {
n280=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n281=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n282=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n283=  set -u0 %crdtsw $round(%crdtsw,0)
n284=  set -u0 %crdtsh $round(%crdtsh,0)
n285=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili11.jpg
n286=}
n287=wingtzh {
n288=  drawrect -f @wingtz 1 1 0 0 $window(-1).w $window(-1).h
n289=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n290=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n291=  set -u0 %crdtsw $round(%crdtsw,0)
n292=  set -u0 %crdtsh $round(%crdtsh,0)
n293=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili6.jpg
n294=  .timerCRDT7 1 5 .window -c @wingtz
n295=  if (%ScripTWizard == 1) { dialog -m newUserwizard newUserwizard | set %ScripTWizard 2 }
n296=}
n297=mk {
n298=  if $dialog($1) = $null { dialog -m $1 $1 }
n299=}
n300=/baloon {
n301=  if ($1 == alert) { var %type = 1 }
n302=  elseif ($1 == error) { var %type = 2 }
n303=  elseif ($1 == info) { var %type = 3 }
n304=  else { var %type = 1 }
n305=  var %title = $gettok($3-,1,42)
n306=  var %message = $gettok($3-,2,42)
n307=  dll sys\Dlls\util.dll CreateTrayIcon ibal $+ $2 > 1,icons/baloon.ico > Baloon
n308=  dll sys\Dlls\util.dll Notify ibal $+ $2 %type > Narkoman's Script > %message
n309=  .timer 1 4 dll sys\Dlls\util.dll RemoveIcon ibal $+ $2
n310=}
n311=massinvite {
n312=  if ($server == $null) { scheck | /halt }
n313=  set %chan $$?="Канал? (eg: #456 )"
n314=  set %massppl 1
n315=  :loop
n316=  if ($nick(#,%massppl) == chanserv) { inc %massppl | goto loop | halt }
n317=  if ($nick(#,%massppl) == $me) { inc %massppl | goto loop | halt }
n318=  else { .invite $nick(#,%massppl) %chan }
n319=  inc %massppl
n320=  if ($nick(#,%massppl) == $null) { unset %chan | unset %massppl }
n321=  else { goto loop }
n322=}
n323=aecho {
n324=  %unf.ae.n = $comchan($1,0) | :begin | if (%unf.ae.n == 0) { unset %unf.ae.n | halt }
n325=  echo $comchan($1,%unf.ae.n) $2- | dec %unf.ae.n | goto begin 
n326=}
n327=transtemp {
n328=  set %string $replacecs(%string,Q,Й,W,Ц,E,У,R,К,T,Е,Y,Н,U,Г,I,Ш,O,Щ,P,З,$chr(123),Х,$chr(125),Ъ)
n329=  set %string $replacecs(%string,A,Ф,S,Ы,D,В,F,А,G,П,H,Р,J,О,K,Л,L,Д,:,Ж,",Э)
n330=  set %string $replacecs(%string,Z,Я,X,Ч,C,С,V,М,B,И,N,Т,M,Ь,<,Б,>,Ю,~,Ё)
n331=  set %string $replacecs(%string,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ,p,з,[,х,],ъ)
n332=  set %string $replacecs(%string,a,ф,s,ы,d,в,f,а,g,п,h,р,j,о,k,л,l,д,;,ж,',э)
n333=  set %string $replacecs(%string,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,$chr(44),б,.,ю,`,ё)
n334=  set %string $replacecs(%string,/,.,?,$chr(44),&,?,^,:,@,",$,;,#,№)
n335=}
n336=chanlistins  {
n337=  var %mychanquant = $lines($mircdirtexts\ [ $+ [ $2 ] ] ) + 1 | :nextchan | dec %mychanquant 1 | if (%mychanquant <= 0) { return } | if ($read -l $+ %mychanquant $mircdirtexts\ [ $+ [ $2 ] ] == $null) { goto nextchan } 
n338=  if ($read -l $+ %mychanquant $mircdirtexts\ [ $+ [ $2 ] ] != $null) { did -i $3 $1 1 $read -l $+ %mychanquant $mircdirtexts\ [ $+ [ $2 ] ] | goto nextchan  }
n339=}
n340=translate {
n341=  set %string $strip($cb(1))
n342=  transtemp
n343=  echo 15 -a -Перевод-: %string
n344=  unset %string
n345=}
n346=zmsg {
n347=  .msg $active $1-
n348=  echo -a $timestamp  $+ %col_meramka $+ [ $+ 15 $+  $+ %col_menick $+ $me $+  $+ %col_meramka $+ ] $1- 
n349=  editbox -r $chan
n350=}
n351=notify {
n352=  notify $1-
n353=  .timer -m 1 100 colorize $active
n354=}
n355=ignore {
n356=  ignore $1-
n357=  .timer -m 1 100 colorize $active
n358=}
n359=s.cl {
n360=  if (%clclick == on) { /dll sys\Dlls\game_tools.dll splay %clicksnd }
n361=  if (%clclick == off) { /halt }
n362=}
n363=noticefromservice {
n364=  var %count = 1
n365=  :begin
n366=  if ($query(%count) == $null) goto show 
n367=  if ($query(%count) == $nick) goto show
n368=  inc %count
n369=  goto begin
n370=  :show
n371=  echo $color(notice) -at $nick - $1-
n372=  halt
n373=}
n374=nn.dotray {
n375=  stdll Delete 1
n376=  stdll DoTray nntray 1 > $iif($istok(XP 2003,$os,32),pics\phoenity.icl,pics\phoenity.icl)
n377=  item { menu AddItem $1 end $2- }
n378=}
n379=transdictest {
n380=  var %count = 0
n381=  var %tmp = $lower($strip($1-))
n382=  while (%count < $numtok(%transdic,32)) {
n383=    inc %count
n384=    if ($gettok(%transdic,%count,32) isin %tmp) return 1
n385=  }
n386=  return 0
n387=}
n388=setwaitnick {
n389=  /nick %wait.nick
n390=}
n391=address { 
n392=  if ($left($active,1 == $chr(35)) && $snick($active,1)) { 
n393=    if (%db == 1) { q $snick(#) | halt }
n394=    if (%db == 2) {
n395=      set %tmpstr %addr1 $+ $snick($active,1) $+ %addr2
n396=      if (%usecolors == 0) { set %tmpstr $strip(%tmpstr) }
n397=      set %tmpstr2 $editbox($active,0)
n398=      if ($poscs(%tmpstr2,,1) ) { set %tmpstr2 $right(%tmpstr2, - $+ $poscs(%tmpstr2,,1)) }
n399=      editbox -ap %tmpstr $+  $+ %tmpstr2
n400=      unset %tmpstr 
n401=      unset %tmpstr2
n402=    }
n403=    if (%db == 3) {
n404=      %snick = $snick($chan,1)
n405=      if (%snick isin $editbox($chan)) { editbox $chan | q $snick(#) | halt } 
n406=    else { if ($editbox($chan) != %addr1 %snick $+ %addr2 $+ $chr(32)) { editbox -ap %addr1 $+ $snick(#) $+ %addr2 $+ $chr(32) } } | %snick = $snick($chan,1) }
n407=
n408=  }
n409=  showmirc -s
n410=}
n411=
n412=; translate 
n413=tocyr {
n414=  set %decode.active $active 
n415=  set %decode.box1 $editbox($active) 
n416=  set %decode.kolslovbox $numtok(%decode.boxxx,32) 
n417=  set %decode.kolactive $nick(%decode.active,0) 
n418=  set %decode.kolslovbox1 $numtok(%decode.box1,32)
n419=  set %decode.slovvslovar $calc($count(%convert.exept,$chr(44)) + 1)
n420=  var %decode.aj 1 | while ( %decode.aj <= %decode.kolslovbox1 ) { | var %decode.aj1 1 | while ( %decode.aj1 <= %decode.slovvslovar ) { | if ( $gettok(%convert.exept,%decode.aj1,44) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj %decode.aj | } | inc %decode.aj1 | }
n421=    var %decode.aj2 1 | while ( %decode.aj2 <= %decode.kolactive ) { | if ( $nick(%decode.active,%decode.aj2) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj1 %decode.aj | } | inc %decode.aj2 | }
n422=    if ( ( %decode.nomeraj == $null ) && ( %decode.nomeraj1 == $null ) ) { if ( $regex($gettok(%decode.box1,%decode.aj,32),а|б|в|г|д|е|ё|ж|з|и|й|к|л|м|н|о|п|р|с|т|у|ф|х|ц|ч|ш|щ|ы|ъ|ь|э|ю|я|А|Б|В|Г|Д|Е|Ё|Ж|З|И|Й|К|Л|М|Н|О|П|Р|С|Т|У|Ф|Х|Ц|Ч|Ш|Щ|Ы|Ъ|Ь|Э|Ю|Я) == 1 ) { set %decode.texteditbox ru } }
n423=    unset %decode.nomeraj* | inc %decode.aj 
n424=  }
n425=  if ( %decode.texteditbox == ru ) {  
n426=    set %decode.kolslovbox1 $numtok(%decode.box1,32)
n427=    set %decode.slovvslovar $calc($count(%convert.exept,$chr(44)) + 1)
n428=    var %decode.aj 1 | while ( %decode.aj <= %decode.kolslovbox1 ) { | var %decode.aj1 1 | while ( %decode.aj1 <= %decode.slovvslovar ) { | if ( $gettok(%convert.exept,%decode.aj1,44) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj %decode.aj | } | inc %decode.aj1 | }
n429=      var %decode.aj2 1 | while ( %decode.aj2 <= %decode.kolactive ) { | if ( $nick(%decode.active,%decode.aj2) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj1 %decode.aj | } | inc %decode.aj2 | }
n430=      if ( ( %decode.nomeraj > 0 ) || ( %decode.nomeraj1 > 0 ) ) { set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ $gettok(%decode.box1,%decode.aj,32) }
n431=      else { 
n432=        set %decode.perevod $gettok(%decode.box1,%decode.aj,32)
n433=        set %decode.editbox $replacecs(%decode.perevod,.,/,?,&,:,^,б,$chr(44),й,q,ц,w,у,e,к,r,е,t,н,y,г,u,ш,i,щ,o,з,p,х,[,ъ,],ф,a,ы,s,в,d,а,f,п,g,р,h,о,j,л,k,д,l,ж,;,э,',я,z,ч,x,с,c,м,v,и,b,т,n,ь,m,ю,.,Й,Q,Ц,W,У,E,К,R,Е,T,Н,Y,Г,U,Ш,I,Щ,O,З,P,Ф,A,Ы,S,В,D,А,F,П,G,Р,H,О,J,Л,K,Д,L,Ж,:,Э,",Я,Z,Ч,X,С,C,М,V,И,B,Т,N,Ь,M,Б,<,Ю,>) 
n434=        set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ %decode.editbox
n435=      }
n436=      unset %decode.nomeraj* | inc %decode.aj 
n437=    }
n438=  }
n439=  else { 
n440=    set %decode.kolslovbox1 $numtok(%decode.box1,32)
n441=    set %decode.slovvslovar $calc($count(%convert.exept,$chr(44)) + 1)
n442=    var %decode.aj 1 | while ( %decode.aj <= %decode.kolslovbox1 ) { | var %decode.aj1 1 | while ( %decode.aj1 <= %decode.slovvslovar ) { | if ( $gettok(%convert.exept,%decode.aj1,44) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj %decode.aj | } | inc %decode.aj1 | }
n443=      var %decode.aj2 1 | while ( %decode.aj2 <= %decode.kolactive ) { | if ( $nick(%decode.active,%decode.aj2) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj1 %decode.aj | } | inc %decode.aj2 | }
n444=      if ( ( %decode.nomeraj > 0 ) || ( %decode.nomeraj1 > 0 ) ) { set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ $gettok(%decode.box1,%decode.aj,32) }
n445=      else { 
n446=        set %decode.perevod $gettok(%decode.box1,%decode.aj,32)
n447=        set %decode.editbox $replacecs(%decode.perevod,.,ю,$chr(44),б,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ, p,з,[,х,],ъ,a,ф,s,ы,d,в,f,а,g,п,h,р,j,о,k,л,l,д,;,ж,',э,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,.,ю,Q,Й,W,Ц,E,У,R,К,T,Е,Y,Н,U,Г,I,Ш,O,Щ,P,З,[,Х,A,Ф,S,Ы,D,В,F,А,G,П,H,Р,J,О,K,Л,L,Д,:,Ж,",Э,Z,Я,X,Ч,C,С,V,М,B,И,N,Т,<,Б,>,Ю,&,?,^,:,/,.,`,ё,$,;) 
n448=        set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ %decode.editbox
n449=      }
n450=      unset %decode.nomeraj* | inc %decode.aj 
n451=    }
n452=  }
n453=  editbox -a %decode.newbox1
n454=  unset %decode.*
n455=}
n456=translite {
n457=  set %translite $cb
n458=  set %translite $lower(%translite)
n459=  set %translite $replace(%translite,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ,p,з,$chr(91),х,$chr(93),ъ,a,ф,$chr(44),б,s,ы,d,в,f,а,g,п,h,р,j,о,?,$chr(44))
n460=  set %translite $replace(%translite,k,л,l,д,;,ж,',э,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,$chr(46),ю,/,$chr(46),$chr(96),ё,$chr(94),:,&,?,$,;,<,б,>,ю) 
n461=}
n462=floodigntime { did -i protectoptions $1 1 1 | did -i protectoptions $1 2 2 | did -i protectoptions $1 3 3 | did -i protectoptions $1 4 5 | did -i protectoptions $1 5 10 }
n463=floodtimes { var %i = 0 , %a = 11 | :next | dec %a | inc %i | if (%a < 1) { return } | did -i protectoptions $1 %i  %a | goto next }
n464=Tfloodtimes {
n465=  if ($1 == 44) { did -i protectoptions $1 1 5 | did -i protectoptions $1 2 10 | did -i protectoptions $1 3 15 | did -i protectoptions $1 4 20 } | if ($1 == 46) { did -i protectoptions $1 1 5 | did -i protectoptions $1 2 10 | did -i protectoptions $1 3 15 | did -i protectoptions $1 4 20 | did -i protectoptions $1 5 30 }
n466=  if ($1 == 49) { did -i protectoptions $1 1 1 | did -i protectoptions $1 2 2 | did -i protectoptions $1 3 3 | did -i protectoptions $1 4 5 } | if ($1 == 61) { var %wind = $lines($mircdirsys\txt\TflWarn.txt) + 1 | :nextline | dec %wind 1 | if (%wind <= 0) { return } | did -i protectoptions 61 1 $read -l $+ %wind $mircdirsys\txt\TflWarn.txt | goto nextline }
n467=}
n468=CflWarnIns { var %warnind = $lines($mircdirsys\txt\TflWarn.txt) + 1 | :nextline | dec %warnind 1 | if (%warnind <= 0) { return } | did -i protectoptions 28 1 $read -l $+ %warnind $mircdirsys\txt\TflWarn.txt | goto nextline }
n469=ctcpreplist { var %ctcpreplistlines = $lines($mircdirsys\txt\ [ $+ [ $2 ] ] ) , %ctcprepind = 0 | :nextctcp | inc %ctcprepind 1 | if (%ctcprepind  > %ctcpreplistlines) { return } | if ($read -l $+ %ctcprepind $mircdirsys\txt\ [ $+ [ $2 ] ] == $null) { goto nextctcp } | else { did -i generaloptions $1 1 $read -l $+ %ctcprepind $mircdirsys\txt\ [ $+ [ $2 ] ] | goto nextctcp } }
n470=CPrOFF {
n471=  if ($dialog(CflPrSwitch) == CflPrSwitch) { dialog -c CflPrSwitch }
n472=}
n473=ctcpVARlist {
n474=  if ($1 == version) { var %fname = version.txt | did -i outCRekv 13 0 %versrep }
n475=  elseif ($1 == ping) { var %fname = pings.txt | did -i outCRekv 13 0 %pingrep }
n476=  elseif ($1 == time) { var %fname = times.txt | did -i outCRekv 13 0 %timerep }
n477=  else { did -i outCRekv 13 0 Незнакомый CTCP-запрос ' $+ $1 $+ '! | return }
n478=  var %ctcplines = $lines($mircdirtexts\ [ $+ [ %fname ] ] ) 
n479=  var %ctcpind = 0 
n480=  :nextctcp 
n481=  inc %ctcpind 1 
n482=  if (%ctcpind  > %ctcplines) { return }
n483=  if ($read -l $+ %ctcpind $mircdirtexts\ [ $+ [ %fname ] ] == $null) { goto nextctcp } 
n484=  if ($read -l $+ %ctcpind $mircdirtexts\ [ $+ [ %fname ] ] != $null) { did -i outCRekv 13 1 $read -l $+ %ctcpind $mircdirtexts\ [ $+ [ %fname ] ] | goto nextctcp }
n485=}
n486=/help {
n487=  /helpscript
n488=}
n489=/startupmsg {
n490=  echo -s 3¤8¤9¤ 0Вы используете 3.8.4.3Nar8kom4an's 12Modern 3.5 11Script 3By 8[Stin4geR] 
n491=  echo -s 3¤8¤9¤ 0Создатель: 12[StingeR]
n492=  echo -s 3¤8¤9¤ 0Канал 8скрипта - 4#456
n493=  echo -s 3¤8¤9¤ 11Сайт 9Скрипта - 11,1http://chan456.ucoz.ru
n494=  echo -s 3¤8¤9¤ 13E-mail 8скрипта - StingeRuleZ@mail.ru
n495=  echo -s 3¤8¤9¤ 8Сегодня 9 $date $+ , 11 $time
n496=  echo -s 3¤8¤9¤ 8F19- Вызов помощи
n497=  echo -s 3¤8¤9¤12Количество запусков - %ScripTRunNum              
n498=  echo -s 3¤¤¤ 0Ваш ник:13 $me           
n499=  echo -s 4* 0Для вызова панели "Настройка ников" нажмите Ctrl+F8 
n500=  echo -s 4* 0Вы можете изменить музыку при вкл скрипта для этого нажмите 11Ctrl+F10 
n501=  echo -s 3¤8¤9¤ ^__^
n502=}
n503=masskickban {
n504=  if ($me !isop #) { echo %nmsc Ты не оператор на канале # $+ }
n505=  else {
n506=    echo Произвожу массовый кик на канале # $+1
n507=    set %mskick 1
n508=    :next
n509=    set %nick $nick(#,%mskick)
n510=    if (%nick == $null) goto done
n511=    if (%nick != $me) { kick # %nick 12(Вы были убиты 4† 4,0† сдохни сука †  (by $nick )  3p.s. Ты в списке уебанов...) }
n512=    inc %mskick
n513=    goto next
n514=    :done
n515=  }
n516=}
n517=/settitle { 
n518=  if %script.title == $null { //set %script.title iScript %script.version }
n519=  /dll sys\Dlls\mircustom.dll Titlebar -m $replace(%script.title,<VERSION>,%script.version,<NETWORK>,$get.network,<UPTIME>,$get.uptime,<IDLE>,$get.idle,<AWAY>,$get.away,<WINAMP>,$get.winamp,<NICK>,$get.nick,<DATE>,$asctime(dd.mm.yyyy),<TIME>,$asctime(HH:nn:ss),<SERVER>,$get.server)
n520=  /dll sys\Dlls\mircustom.dll SetIcon -m %script.icon
n521=}
n522=/foneclear {
n523=  background -xs
n524=  var %sc 0
n525=  while (%sc < $chan(0)) {
n526=    inc %sc
n527=    background -xe $chan(%sc)
n528=  }
n529=  var %sc 0
n530=  while (%sc < $query(0)) {
n531=    inc %sc
n532=    background -xe $query(%sc)
n533=  }
n534=}
n535=/newfone1 { 
n536=  var %sc 0
n537=  while (%sc < $chan(0)) {
n538=    inc %sc
n539=    /background -ec $chan(%sc) %fone.chan 
n540=  }
n541=  if ($chan(0) == 0) {
n542=    writeini -n mirc.ini background wchannel %fone.chan.w
n543=  }
n544=  var %sc 0
n545=  while (%sc < $query(0)) {
n546=    inc %sc
n547=    /background -ec $query(%sc) %fone.query
n548=  }
n549=  if ($query(0) == 0) {
n550=    writeini -n mirc.ini background wquery %fone.query.w
n551=  }
n552=}
n553=/newfone2 { 
n554=  var %sc 0
n555=  while (%sc < $chan(0)) {
n556=    inc %sc
n557=    /background -ec $chan(%sc) %fone.chan 
n558=  }
n559=  if ($chan(0) == 0) {
n560=    writeini -n mirc.ini background wchannel %fone.chan.w
n561=  }
n562=}
n563=skinLoadFromMenu {
n564=  if ($me) { 
n565=    %skin_file_name = $findfile($mircdirImg,*.ini,%skinnumb)
n566=    .play -c $me $shortfn(%skin_file_name) 0 | .timestamp -f %stamp.style
n567=    if $window(@waci) { waci }
n568=  }
n569=}
n570=sdt {
n571=  if ($did($did).state) { set % $+ $1 1 }
n572=  else { unset % $+ $1 }
n573=}
n574=SkinName { if ($remove($nopath($findfile($mircdirImg,*.ini,$1)),.skn) != $null) { return $remove($nopath($findfile($mircdirImg,*.ini,$1)),.ini) } }
n575=/F1 %button.f1
n576=/F2 %button.f2
n577=/F3 %button.f3
n578=/F4 %button.f4
n579=/F5 %button.f5
n580=/F6 %button.f6
n581=/F7 %button.f7
n582=/F8 %button.f8
n583=/F9 %button.f9
n584=/F10 %button.f10
n585=/F11 %button.f11
n586=/F12 %button.f12
n587=/sF1 %button.sf1
n588=/sF2 %button.sf2
n589=/sF3 %button.sf3
n590=/sF4 %button.sf4
n591=/sF5 %button.sf5
n592=/sF6 %button.sf6
n593=/sF7 %button.sf7
n594=/sF8 %button.sf8
n595=/sF9 %button.sf9
n596=/sF10 %button.sf10
n597=/sF11 %button.sf11
n598=/sF12 %button.sf12
n599=/cF1 %button.cf1
n600=/cF2 %button.cf2
n601=/cF3 %button.cf3
n602=/cF4 %button.cf4
n603=/cF5 %button.cf5
n604=/cF6 %button.cf6
n605=/cF7 %button.cf7
n606=/cF8 %button.cf8
n607=/cF9 %button.cf9
n608=/cF10 %button.cf10
n609=/cF11 %button.cf11
n610=/cF12 %button.cf12
n611=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
n612=;;;;;;;;;;;;;;; >>>>>>>> Narkoman's Script by [StingeR] ver: 3.5   All Rights Reserved. Copyright Narkoman's™ 2008 <<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n613=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> создатель - [StingeR] <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n614=;;;;;;;;;;;;;;; >>>>>>>>>>>>> Гы :)<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
n615=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>> Официальный сайт скрипта: http://chan456.ucoz.ru <<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n616=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
